/***********************************************************************************/
/*																				   */
/*	Enregistrement automatique d'images, gestion de la rotation					   */
/*	Utilisation pour gŽnŽrer des images de tests pour la calibration de			   */
/*	Velociraptor																   */
/*																				   */
/*	Emilie Koenig																   */
/***********************************************************************************/

#include "captureauto.h"

extern int width ;
extern int height ;
extern int texWidth ;
extern int texHeight ;
extern int nbimage ;
extern int captureImage;
extern int T_TURN ;
extern GLfloat T_SPEED ;
extern float zoom ;
extern float angle_cam ;
extern GLfloat objectRotX;
extern GLfloat objectRotY;
extern int maillage;
extern int elevation;
extern float cam_x;
extern float cam_y;
extern int display_cursor;
extern GLfloat coef_elevation;
extern GLfloat zoom_elevation;
extern int NbLat;
extern double *ListCoordX;
extern double *ListCoordY;
extern double *ListCoordZ;
extern double *texture_E;
extern int tore;


void essai_capture_1()
{
	/*float angle_texture = 20, a_t;
	char *image_name = new char[100];
	char *serie = new char[20]; 
	char *char_tmp = new char[10];
	int count = 0, *angles_vue, ele, tmp;
	
	texWidth = 256;
	texHeight = 256;

	angle_texture = 10;
	angles_vue = new int [4];
	angles_vue[0] = 2;
	angles_vue[1] = 7;
	angles_vue[2] = 21;
	angles_vue[3] = 40;
	
	
	printf("serie ? ");
	scanf("%s", serie);
	printf("serie = %s\n", serie);
	
	a_t = 0.0;
	while (a_t<10)
	{
		for (tmp = 0; tmp<4; tmp++)
		{
			T_SPEED = -angles_vue[tmp]/2;
			fflush(stdin);
		
			strcpy(image_name, "B_");
			strcat(image_name, serie);
			strcat(image_name, "_a");
			if (angles_vue[tmp]<10)
				strcat(image_name, "0");
			sprintf(char_tmp,"%d",angles_vue[tmp]);
			strcat(image_name, char_tmp);
			strcat(image_name, "_");
			if (coef_elevation<0.09 && coef_elevation > 0.0)
				strcat(image_name, "00");
			else if (coef_elevation == 0.0)
				strcat(image_name, "0");
			ele = int(coef_elevation*100);
			sprintf(char_tmp, "%d", ele);
			strcat(image_name, char_tmp);
			strcat(image_name, "pc_");
			if (count<10)
				strcat(image_name, "0");
			sprintf(char_tmp, "%d", count);
			strcat(image_name, char_tmp);
			strcat(image_name, ".fits");
	
			//printf("image_name : %s\n", image_name);
			
			captureImage = 1;
			angle_cam = T_SPEED;
			dobmp_FITS_name();
			
			
		}
		count += 1;
		a_t += angle_texture;
	
	}*/
	
}

